Bug 553324 - [RHEL5 Xen]: Cpu frequency scaling is broken on Intel
Summary: [RHEL5 Xen]: Cpu frequency scaling is broken on Intel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Chris Lalancette
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-07 16:05 UTC by Chris Lalancette
Modified: 2010-03-30 07:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 07:40:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fix frequency scaling on Intel (537 bytes, patch)
2010-01-07 16:08 UTC, Chris Lalancette
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Chris Lalancette 2010-01-07 16:05:33 UTC
Description of problem:
The patch for BZ 502826 broke frequency scaling on Intel platforms.  The reason for this is because it masked out the EST bit from dom0, which is necessary for frequency scaling to work properly.  I'll attach a simple patch to revert just that change which seems to fix the problem in my testing.

Comment 1 Chris Lalancette 2010-01-07 16:08:21 UTC
Created attachment 382276 [details]
Fix frequency scaling on Intel

Comment 11 errata-xmlrpc 2010-03-30 07:40:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.